<template>
  <el-dialog
    :title="dialogStatus==='add'?'新增':'编辑'"
    :visible.sync="dialogVisible"
    :modal-append-to-body="false"
    :close-on-click-modal="false"
    width="500px"
    :before-close="handleClose"
  >
    <el-form ref="dataForm" :model="dataForm"  :rules="rules" label-position="right" label-width="150px" style="padding-right: 50px" element-loading-text="保存中...">
      <el-form-item label="平台名称:" prop="institutionalName">
        <el-input v-model.trim="dataForm.institutionalName"/>
      </el-form-item>
<!--      <el-form-item label="AccessKey:" prop="AccessKey">-->
<!--        <el-input  v-model.trim="dataForm.AccessKey"/>-->
<!--      </el-form-item>-->
<!--      <el-form-item label="SecretKey:" prop="SecretKey">-->
<!--        <el-input v-model.trim="dataForm.SecretKey"/>-->
<!--      </el-form-item>-->
      <el-form-item label="联系人:" prop="contacts">
        <el-input v-model.trim="dataForm.contacts"/>
      </el-form-item>
      <el-form-item label="联系电话:" prop="phone">
        <el-input v-model.trim="dataForm.phone" :maxlength="11" />
      </el-form-item>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="handleClose">取 消</el-button>
      <el-button type="primary" @click="onSubmit">确 定</el-button>
    </span>
  </el-dialog>
</template>

<script >
import { addPlat, updatePlat } from '@/api/onlineEducation/plat'

export default {
  name: 'addUser',
  components: {
  },
  data() {
    return {
      dialogVisible: false,
      dialogStatus: '',
      rules: {
        institutionalName: [{ required: true, message: '请输入平台名称', trigger: 'blur' }],
        contacts: [{ required: true, message: '请输入联系人', trigger: 'blur' }],
        phone: [
          { required: true,
            pattern: /^1[0-9]{10}$/,
            message: '手机号格式不正确',
            trigger: 'blur'
          }
        ],
      },
      dataForm: {}
    }
  },
  created() {

  },
  methods: {
    openDialog (type, data) {
      this.resetDataForm();
      this.dialogVisible = true;
      this.dialogStatus = type;
      if(this.dialogStatus == 'edit') {
        this.dataForm = data;
      }
      this.$nextTick(() => {
        this.$refs['dataForm'].clearValidate()
      })
    },


    handleClose() {
      this.dialogVisible = false;
      this.$emit("getList");
    },
    onSubmit() {
      this.$refs["dataForm"].validate( async valid => {
        if (valid) {
          if(this.dialogStatus == 'add'){
            console.log("this.dataForm",this.dataForm)
            const res = await addPlat(this.dataForm);
            if(res.code == 200) {
              this.$emit("getList");
              this.dialogVisible = false;
              this.$message({
                type:'success',
                message: '新增成功'
              })
            }else{
              this.$message({
                type:'warning',
                message: res.msg
              })
            }
          }else {
            const res = await updatePlat(this.dataForm);
            if(res.code == 200) {
              this.$emit("getList");
              this.dialogVisible = false;
              this.$message({
                type:'success',
                message: '编辑成功'
              })
            }else{
              this.$message({
                type:'warning',
                message: res.msg
              })
            }
          }
        }
      })

    },
    resetDataForm() {
      this.dataForm = {
      }
    },
  }
}

</script>
<style scoped>

</style>
